Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
API Reference
cURL
curl --request POST \ --url https://saas.pads365.com/rdx/NDS.Services.Content/api/v1/content/hierarchy \ --header 'Content-Type: application/json' \ --data ' { "Path": "<string>", "IncludeHidden": true, "SearchPattern": "<string>", "Paging": { "Start": 123, "Items": 123 }, "Sorting": { "Descending": true }, "ContentTypeFilter": "<string>", "ExcludeFolders": true } '
{ "Succeeded": true, "Message": "<string>", "Code": "<string>", "SubFolders": [ { "Name": "<string>", "Path": "<string>", "DateLastModified": "2023-11-07T05:31:56Z", "DateCreated": "2023-11-07T05:31:56Z", "Hidden": true, "ParentFolder": "<string>", "Permissions": "<string>" } ], "Files": [ { "Name": "<string>", "Path": "<string>", "Extension": "<string>", "DateLastModified": "2023-11-07T05:31:56Z", "DateCreated": "2023-11-07T05:31:56Z", "Size": 123, "MD5": "aSDinaTvuI8gbWludGxpZnk=", "Hidden": true, "ParentFolder": "<string>", "GenericContentType": "<string>", "ContentType": "<string>", "Permissions": "<string>" } ], "TotalItems": 123, "Permissions": "<string>" }
Show child attributes